:root {
    --primary-100: #26A69A;
    --primary-200: #408d86;
    --primary-300: #cdfaf6;

    --accent-100: #80CBC4;
    --accent-200: #43A49B;

    --text-100: #f0f0f0;
    --text-200: #263339;
    --text-300: #728f9e;

    --bg-100: #E0F2F1;
    --bg-200: #D0EBEA;
    --bg-300: #FFFFFF;
}

@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;600;800&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


body {
    width: 100%;
    height: 100%;
    background-color: var(--bg-100);
    font-family: 'Poppins', sans-serif;
    padding-bottom: 10px;

    --sb-size: 8px;
}

body::-webkit-scrollbar {
    width: var(--sb-size)
}

body::-webkit-scrollbar-track {
    background: var(--bg-200);
    border-radius: 10px;
}

body::-webkit-scrollbar-thumb {
    background: var(--primary-200);
    border-radius: 10px;

}

.header {
    width: 100%;
    height: 70px;
    background-color: var(--bg-200);
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 20px;
    gap: 25px;
}

.form {
    flex-grow: 1;
}

.form__input {
    padding: 14px 10px;
    width: 330px;
    border-radius: 5px;
    border: none;
    outline: none;
    font-size: 17px;
    background-color: var(--primary-200);
    color: var(--text-100);
}

.form__input::placeholder {
    color: var(--text-100);
}

.come-back,
.full-screen,
.info__button-trailer {
    padding: 10px 20px;
    border: none;
    outline: none;
    background-color: var(--primary-200);
    color: var(--text-100);
    border-radius: 5px;
    cursor: pointer;
    transition: .5s;
}

.full-screen:hover {
    transform: scale(0.9);
}

.movies-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 15px;
    padding: 15px;
}

.movie__item {
    width: 100%;
    height: 100%;
    border-radius: 5px;
    overflow: hidden;
}

.movie__poster {
    width: 100%;
    height: 100%;

}

.app__btn-more {
    display: block;
    margin: 0 auto;
    padding: 10px 20px;
    border: none;
    outline: none;
    border-radius: 5px;
    background-color: var(--primary-200);
    color: var(--text-100);
}

/* Modal */

.modal {
    width: 100%;
    height: 100vh;
    background-color: var(--bg-100);
    position: fixed;
    top: 0;
    left: 0;
    opacity: 0;
    visibility: hidden;
    transition: .3s cubic-bezier(0.215, 0.610, 0.355, 1);
    transform: translateY(100%);
    display: flex;
}

.modal__image {}

.image__poster {
    height: 100%;
}

/* info */
.info {
    width: 100%;
    padding: 15px;
    overflow-y: scroll;
    position: relative;
}
.movies__close-modal{
    position: absolute;
    top: 25px;
    right: 15px;
    font-size: 30px;
    cursor: pointer;
}
.info__title {
    color: var(--text-200);
    text-align: left;
}

.info__paragraph {
    margin: 0 auto;
    text-align: left;
    color: var(--text-300);
}

.movies__container {
    width: 100%;
    display: flex;
    overflow-x: scroll;
    gap: 10px;
    display: none;
}

.videos__item {
    padding: 10px;
    background-color: var(--bg-300);
}

.videos__poster {
    display: block;
    width: 300px;
}

/* modal-video */
.movies__modal {
    width: 100%;
    height: 100vh;
    position: fixed;
    top: 0;
    left: 0;
    background-color: var(--bg-100);
    transition: .3s cubic-bezier(0.215, 0.610, 0.355, 1);
    transform: translateY(100%);

    display: flex;
    align-items: center;
    justify-content: center;

}

.modal__iframe {
    width: 700px;
    height: 393px;
    border: none;
}

.movies__modal-active {
    transform: translateY(0%);
    opacity: 1;
    visibility: visible;
}

.modal-active {
    transform: translateY(0%);
    opacity: 1;
    visibility: visible;
}